Bug 220283 - net/3proxy: Update to 0.8.10
Summary: net/3proxy: Update to 0.8.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://github.com/z3APA3A/3proxy/rel...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2017-06-26 10:48 UTC by Pavel Timofeev
Modified: 2017-06-29 19:15 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (timp87)


Attachments
port patch (911 bytes, patch)
2017-06-26 10:48 UTC, Pavel Timofeev
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2017-06-26 10:48:21 UTC
Created attachment 183806 [details]
port patch

net/3proxy 0.8.9 -> 0.8.10 upgrade
Change log: https://github.com/z3APA3A/3proxy/releases/tag/0.8.10
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-26 10:55:06 UTC
@Tim Could you confirm this change passes QA please (portlint, poudriere in particular)
Comment 2 Pavel Timofeev 2017-06-26 12:30:09 UTC
[root@vlt2 /usr/ports/net/3proxy]# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: /usr/ports/net/3proxy/distinfo: [1]: TIMESTAMP is over 30 days old
0 fatal errors and 2 warnings found.
Comment 3 Pavel Timofeev 2017-06-26 12:36:37 UTC
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done

full log is here https://drive.google.com/file/d/0By9yUmYFrRAKQ09oSHFQSVZnVmM/view?usp=sharing
Comment 4 Richard Gallamore freebsd_committer 2017-06-27 23:32:42 UTC
Can you please check these errors in the build log? The port builds successfully, but I don't think these errors should occur.

usage: cp [-R [-H | -L | -P]] [-f | -i | -n] [-alpsvx] source_file target_file
       cp [-R [-H | -L | -P]] [-f | -i | -n] [-alpsvx] source_file ... target_directory
System configuration settings file is 
if [ /var/run/ufdbGuard != /var/tmp ] ; then /wrkdirs/usr/ports/www/ufdbguard/work/ufdbGuard-1.33.3/install-sh -c -o root -d /wrkdirs/usr/ports/www/ufdbguard/work/stage/var/run/ufdbGuard ; fi
echo "Installing SSL root certificates"
Installing SSL root certificates
/wrkdirs/usr/ports/www/ufdbguard/work/ufdbGuard-1.33.3/install-sh -c -m 644 security/cacerts  /wrkdirs/usr/ports/www/ufdbguard/work/stage/var/db/ufdbGuard/security/cacerts.sample
check_config_file: cannot read configuration file /wrkdirs/usr/ports/www/ufdbguard/work/stage/usr/local/etc/ufdbGuard/ufdbGuard.conf *****
cannot resolve hostname "updates.urlfilterdb.com" using /usr/bin/host
cannot resolve hostname "cgibin.urlfilterdb.com" using /usr/bin/host
*****   Check the name resolver on this system.  *****
*****   ufdbGuard does not function properly if it cannot resolve public hostnames.  *****

making install in src

==================================================================
ufdbGuard daemon runs with user id root
ufdbGuard binaries are installed in /usr/local/bin
ufdbGuard configuration file is installed in /usr/local/etc/ufdbGuard
ufdbGuard system configuration file is installed in /usr/local/etc/ufdbguard
==================================================================

*** Error code 1 (ignored)
Comment 5 Richard Gallamore freebsd_committer 2017-06-27 23:33:28 UTC
(In reply to Richard Gallamore from comment #4)
Disregard, I posted in the wrong PR.
Comment 6 commit-hook freebsd_committer 2017-06-29 18:20:40 UTC
A commit references this bug:

Author: ultima
Date: Thu Jun 29 18:20:27 UTC 2017
New revision: 444659
URL: https://svnweb.freebsd.org/changeset/ports/444659

Log:
  * Updated to 0.8.10

  Changelog: https://github.com/z3APA3A/3proxy/releases/tag/0.8.10

  PR:		220283
  Submitted by:	<timp87@gmail.com> (maintainer)
  Reviewed by:	lifanov (mentor)
  Approved by:	lifanov (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11382

Changes:
  head/net/3proxy/Makefile
  head/net/3proxy/distinfo
Comment 7 Richard Gallamore freebsd_committer 2017-06-29 19:15:54 UTC
Committed, thanks!